Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.utils
Class IntStack

    java.lang.Object
      |
      +--org.apache.xalan.utils.IntVector
            |
            +--org.apache.xalan.utils.IntStack

public class IntStack
extends IntVector

**For internal use only** Implement an array of simple integers.

Fields inherited from class org.apache.xalan.utils.IntVector
`m_map`

Constructor Summary
`IntStack()` **For internal use only** Default constructor.
`IntStack(int blocksize)` **For internal use only** Construct a IntVector, using the given block size.

Method Summary
`boolean` | `empty()` **For internal use only** Tests if this stack is empty.
`int` | `peek()` **For internal use only** Looks at the object at the top of this stack without removing it from the stack.
`int` | `pop()` **For internal use only** Removes the object at the top of this stack and returns that object as the value of this function.
`int` | `push(int i)` **For internal use only** Pushes an item onto the top of this stack.
`void` | `quickPop(int n)` **For internal use only** Quickly pops a number of items from the stack.
`int` | `search(int o)` **For internal use only** Returns where an object is on this stack.
`void` | `setTop(int val)` **For internal use only** Sets an object at a the top of the statck

Methods inherited from class org.apache.xalan.utils.IntVector
`addElement, contains, elementAt, indexOf, indexOf, insertElementAt, lastIndexOf, removeAllElements, removeElement, removeElementAt, setElementAt, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntStack

    public IntStack()

  **For internal use only** Default constructor. Note that the default block size is very small, for small lists.

### IntStack

    public IntStack(int blocksize)

  **For internal use only** Construct a IntVector, using the given block size.

Method Detail

### push

    public int push(int i)

  **For internal use only** Pushes an item onto the top of this stack.
  Parameters:
    `i` - the int to be pushed onto this stack.
  Returns:
    the `item` argument.
  Since:
    JDK1.0

### pop

    public int pop()

  **For internal use only** Removes the object at the top of this stack and returns that object as the value of this function.
  Returns:
    The object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.
  Since:
    JDK1.0

### quickPop

    public void quickPop(int n)

  **For internal use only** Quickly pops a number of items from the stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### peek

    public int peek()

  **For internal use only** Looks at the object at the top of this stack without removing it from the stack.
  Returns:
    the object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.
  Since:
    JDK1.0

### setTop

    public void setTop(int val)

  **For internal use only** Sets an object at a the top of the statck
  Throws:
    java.util.EmptyStackException - if this stack is empty.
  Since:
    JDK1.0

### empty

    public boolean empty()

  **For internal use only** Tests if this stack is empty.
  Returns:
    `true` if this stack is empty; `false` otherwise.
  Since:
    JDK1.0

### search

    public int search(int o)

  **For internal use only** Returns where an object is on this stack.
  Parameters:
    `o` - the desired object.
  Returns:
    the distance from the top of the stack where the object is] located; the return value `-1` indicates that the object is not on the stack.
  Since:
    JDK1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.